%define upstream_name    Math-BaseCalc
%define upstream_version 1.019

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    %{upstream_name} perl module
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::More)
BuildRequires: perl(integer)
BuildRequires: perl(vars)
BuildRequires: perl-devel
BuildArch:  noarch

%description
This module facilitates the conversion of numbers between various
number bases.  You may define your own digit sets, or use any of
several predefined digit sets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build

CFLAGS="$RPM_OPT_FLAGS" %__perl Makefile.PL INSTALLDIRS=vendor
make
make test

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install DESTDIR=$RPM_BUILD_ROOT 

%files 
%doc Changes LICENSE META.yml README SIGNATURE
%{perl_vendorlib}/Math/*
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.19.0-6.mga10
+ Revision: 2204021
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.19.0-5.mga9
+ Revision: 1809590
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.19.0-4.mga8
+ Revision: 1505073
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.19.0-3.mga7
+ Revision: 1284752
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.19.0-2.mga7
+ Revision: 1165295
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 1.19.0-1.mga7
+ Revision: 1158281
- update to 1.019

* Sun Jun 19 2016 pterjan <pterjan> 1.17.0-6.mga6
+ Revision: 1029534
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.17.0-5.mga6
+ Revision: 947259
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.17.0-4.mga5
+ Revision: 738787
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.17.0-3.mga5
+ Revision: 685344
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.17.0-2.mga4
+ Revision: 537309
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.17.0-1.mga4
+ Revision: 486780
- update to 1.017

* Sun Jan 13 2013 umeabot <umeabot> 1.16.0-2.mga3
+ Revision: 369530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ kharec <kharec>
- update to 1.016

* Mon Feb 28 2011 jquelin <jquelin> 1.14.0-1.mga1
+ Revision: 61502
- update to 1.014

* Sun Jan 09 2011 jquelin <jquelin> 1.013-2.mga1
+ Revision: 3636
- imported package perl-Math-BaseCalc

